import java.io.File;
import java.io.FilenameFilter;
import java.util.regex.Pattern;

public class YearfolderFilter implements FilenameFilter {

	@Override
	public boolean accept(File arg0, String arg1) {
		if (arg0.isDirectory()
				&& Pattern.compile("\\d+").matcher(arg1).matches()) { //$NON-NLS-1$
			return true;
		}
		return false;
	}

}
