/*  
 JSPDiary is an easy and clear to use diary program.
 Copyright (C) 2010  Constantin Wenger aka SpeedProg <constantin.wenger@googlemail.com>

 This file is part of JSPDiary.

 JSPDiary is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 JSPDiary is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with JPidGinStatistik.  If not, see <http://www.gnu.org/licenses/>.
 */

public class SPTageBuch {

	static int[] version = { 1, 4 };

	public static void main(String[] args) {
		for (String a : args)
			if ((a == "--help") || (a == "-h")) { //$NON-NLS-1$ //$NON-NLS-2$
				System.out.println(Messages
						.getString("SPTageBuch.CopyrightNotice")); //$NON-NLS-1$
				System.out.println(Messages
						.getString("SPTageBuch.ProgramNotice")); //$NON-NLS-1$
				System.out.println(Messages.getString("SPTageBuch.Commands")); //$NON-NLS-1$
				System.out.println(Messages
						.getString("SPTageBuch.Command--help")); //$NON-NLS-1$
				System.out.println(Messages
						.getString("SPTageBuch.Command--version")); //$NON-NLS-1$
			} else
				if (a == "--version") //$NON-NLS-1$
					System.out.println(String.format("%d.%d", version[0], //$NON-NLS-1$
							version[1]));
		MainWindowUI mainWindow = new MainWindowUI();
		mainWindow.setMinimumSize(mainWindow.getSize());
		mainWindow.setVisible(true);
	}

}
